<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.jira.jira_monitoring" scope="application"/>

<display:table name="${projects}" id="project" requestURI="<%=renderResponse.createRenderURL().toString() %>" requestURIcontext="false">
  <c:set var="id" scope="page" value="${project.id}"/>
  <display:column style="width: 20px;">
    <c:choose>
      <c:when test="${project.openIssues > (0.5*project.totalIssues)}">
        <img src="<c:url value="/pages/images/warning.gif"/>" title="<fmt:message key="legend.warning"/>"/>
      </c:when>
      <c:otherwise>
        &nbsp;
      </c:otherwise>
    </c:choose>
  </display:column>
  <display:column titleKey="jiraproject.name" style="white-space: nowrap;" sortProperty="name" sortable="true">
    <a href="${project.projectUrl}">${project.name}</a>
    &nbsp;
    <a href="<portlet:renderURL><portlet:param name="action" value="viewProjectDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="jiraproject.projectDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="jiraproject.key" style="white-space: nowrap;" sortProperty="key" sortable="true">
    <a href="${project.url}">${project.key}</a>
  </display:column>
  <display:column titleKey="jiraproject.lead" style="white-space: nowrap;" property="lead" sortable="true" autolink="true"/>
  <display:column titleKey="jiraproject.assignees" style="white-space: nowrap;" sortProperty="openIssueAssignees" sortable="true">
    <fmt:formatNumber value="${project.openIssueAssignees}"/>
    <a href="<portlet:renderURL><portlet:param name="action" value="viewAssigneeDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
      <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="jiraproject.assigneeDetails"/>" border="0"/>
    </a>
  </display:column>
  <display:column titleKey="jiraproject.openIssues" style="white-space: nowrap;" sortProperty="openIssues" sortable="true">
    <c:if test="${project.openIssues > 10}"><span class="portlet-msg-error"></c:if>
    <fmt:formatNumber value="${project.openIssues}"/>
    &nbsp;(<fmt:formatNumber value="${project.openIssues / project.totalIssues}" type="percent"/>)
    <c:if test="${project.openIssues > 10}"></span></c:if>
  </display:column>
  <display:column titleKey="jiraproject.codingInProgressIssues" style="white-space: nowrap;" sortProperty="codingInProgressIssues" sortable="true">
    <fmt:formatNumber value="${project.codingInProgressIssues}"/>
    &nbsp;(<fmt:formatNumber value="${project.codingInProgressIssues / project.totalIssues}" type="percent"/>)
  </display:column>
  <display:column titleKey="jiraproject.reopenedIssues" style="white-space: nowrap;" sortProperty="reopenedIssues" sortable="true">
    <fmt:formatNumber value="${project.reopenedIssues}"/>
    &nbsp;(<fmt:formatNumber value="${project.reopenedIssues / project.totalIssues}" type="percent"/>)
  </display:column>
  <display:column titleKey="jiraproject.resolvedIssues" style="white-space: nowrap;" sortProperty="resolvedIssues" sortable="true">
    <fmt:formatNumber value="${project.resolvedIssues}"/>
    &nbsp;(<fmt:formatNumber value="${project.resolvedIssues / project.totalIssues}" type="percent"/>)
  </display:column>
  <display:column titleKey="jiraproject.closedIssues" style="white-space: nowrap;" sortProperty="closedIssues" sortable="true">
    <fmt:formatNumber value="${project.closedIssues}"/>
    &nbsp;(<fmt:formatNumber value="${project.closedIssues / project.totalIssues}" type="percent"/>)
  </display:column>
  <display:column titleKey="jiraproject.issuesByStatus" sortProperty="openIssues" sortable="true">
    <c:if test="${project.totalIssues > 0}">
      <table valign="center">
        <tr>
          <td>
            <table style="border: 1px solid #DDDDDD;" width="100px" valign="middle" align="center" cellspacing="0" cellpadding="0">
              <tr>
                <td style="background-color: #FF0000;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.openIssues) / project.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color: #FFFF00;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.codingInProgressIssues) / project.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color: #DD0000;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.reopenedIssues) / project.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color: #00FF00;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.resolvedIssues) / project.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
                <td style="background-color: #DDDDDD;"><img src="<c:url value="/pages/images/spacer.gif"/>" width="<fmt:formatNumber value="${(100*project.closedIssues) / project.totalIssues}" maxFractionDigits="0"/>" height="10px" border="0"/></td>
              </tr>
            </table>
          </td>
          <td>
            &nbsp;
            <a href="<portlet:renderURL><portlet:param name="action" value="viewIssueDetails"/><portlet:param name="id" value="<%= pageContext.getAttribute("id").toString() %>"/></portlet:renderURL>">
              <img src="<c:url value="/pages/images/info.gif"/>" title="<fmt:message key="jiraproject.issueDetails"/>" border="0"/>
            </a>
          </td>
        </tr>
      </table>
    </c:if>
  </display:column>
  <display:footer>
    <%@include file="includes/table_footer.jsp"%>
  </display:footer>
</display:table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.refresh"/>"/>
</form>
